Data Fields

# sd_raw_info Struct Reference
[MMC/SD/SDHC card raw access]

This struct is used by sd_raw_get_info() to return manufacturing and status information of the card. More...

## Data Fields
uint8_t | manufacturer
| A manufacturer code globally assigned by the SD card organization.
uint8_t | oem [3]
| A string describing the card's OEM or content, globally assigned by the SD card organization.
uint8_t | product [6]
| A product name.
uint8_t | revision
| The card's revision, coded in packed BCD.
uint32_t | serial
| A serial number assigned by the manufacturer.
uint8_t | manufacturing_year
| The year of manufacturing.
uint8_t | manufacturing_month
| The month of manufacturing.
offset_t | capacity
| The card's total capacity in bytes.
uint8_t | flag_copy
| Defines wether the card's content is original or copied.
uint8_t | flag_write_protect
| Defines wether the card's content is write-protected.
uint8_t | flag_write_protect_temp
| Defines wether the card's content is temporarily write-protected.
uint8_t | format
| The card's data layout.

## Detailed Description

This struct is used by sd_raw_get_info() to return manufacturing and status information of the card.

## Field Documentation

uint8_t sd_raw_info::flag_copy

Defines wether the card's content is original or copied.

A value of `0` means original, `1` means copied.

uint8_t sd_raw_info::flag_write_protect

Defines wether the card's content is write-protected.

Note:
  This is an internal flag and does not represent the state of the card's mechanical write-protect switch.

uint8_t sd_raw_info::flag_write_protect_temp

Defines wether the card's content is temporarily write-protected.

Note:
  This is an internal flag and does not represent the state of the card's mechanical write-protect switch.

uint8_t sd_raw_info::format

The card's data layout.

See the `SD_RAW_FORMAT_*` constants for details.

Note:
  This value is not guaranteed to match reality.

uint8_t sd_raw_info::manufacturing_year

The year of manufacturing.

A value of zero means year 2000.

uint8_t sd_raw_info::revision

The card's revision, coded in packed BCD.

For example, the revision value `0x32` means "3.2".